View Issue Details

IDProjectCategoryView StatusLast Update
0002517Far ManagerEditorpublic2013-10-31 00:35
ReporternshustovAssigned ToDrKnS 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002517: Invalid line number supplied in "Go to position" dialog crashes Far Manager
DescriptionAn attempt to use an invalid line number for "Go to position" in editor results in "invalid stoi argument" exception.
Steps To Reproduce1. Open a file to edit in Far Manager (F4);
2. Use Alt+F8 to bring up "Go to position" dialog;
3. Enter 'ff' in the dialog line number prompt, hit Enter.

Observe "Exception/Invalid stoi argument" dialog popping up.
Additional InformationFar 3.0 build 3698 x64
TagsNo tags attached.
Build3700

Activities

2useven10

2013-10-24 20:02

developer   bugnote:0011504

снова 'пересиплюсплюсили'.
std::stoX() в отличии от strtoX() эксепшенами кидаются.

DrKnS

2013-10-24 20:56

administrator   bugnote:0011505

И это замечательно.

2useven10

2013-10-24 22:44

developer   bugnote:0011506

не буду оскорблять чувства верующих, но привнесённые на пустом месте баги чистить уже надоело.

DrKnS

2013-10-24 22:48

administrator   bugnote:0011507

> надоело

Ну так я сам починю, чего нервничать?

2useven10

2013-10-24 22:56

developer   bugnote:0011508

OFF:
 http://www.youtube.com/watch?v=ZpS3foSGO7Q

DrKnS

2013-10-24 23:25

administrator   bugnote:0011509

> OFF:

это такая религиозная пропаганда что ли?


3699.

2useven10

2013-10-25 04:51

developer   bugnote:0011510

> Это...
скорее наоборот - это по мотивам 'c++ счастье', невзирая на 3699

2useven10

2013-10-25 09:05

developer   bugnote:0011511

'99999999999999999999' -- продолжаем падать

nshustov

2013-10-25 16:33

reporter   bugnote:0011512

читаю комментарии - ну прям фейсбук какой-то. нет, нафик фейсбук, в баг тракере интереснее. :-)

Issue History

Date Modified Username Field Change
2013-10-24 18:25 nshustov New Issue
2013-10-24 20:02 2useven10 Note Added: 0011504
2013-10-24 20:55 DrKnS Assigned To => DrKnS
2013-10-24 20:55 DrKnS Status new => assigned
2013-10-24 20:56 DrKnS Note Added: 0011505
2013-10-24 22:44 2useven10 Note Added: 0011506
2013-10-24 22:48 DrKnS Note Added: 0011507
2013-10-24 22:56 2useven10 Note Added: 0011508
2013-10-24 23:25 DrKnS Note Added: 0011509
2013-10-24 23:25 DrKnS Status assigned => feedback
2013-10-25 04:51 2useven10 Note Added: 0011510
2013-10-25 09:05 2useven10 Note Added: 0011511
2013-10-25 16:33 nshustov Note Added: 0011512
2013-10-25 16:33 nshustov Status feedback => assigned
2013-10-31 00:28 2useven10 Status assigned => resolved
2013-10-31 00:35 DrKnS Build => 3700
2013-10-31 00:35 DrKnS Status resolved => closed
2013-10-31 00:35 DrKnS Resolution open => fixed
2013-10-31 00:35 DrKnS Fixed in Version => 3.0